<?xml version="1.0" encoding="utf-8" ?>
<PDAlgoDataTuning>
    <dualPDFaceConfThres>
        <win0Conf> 7000 </win0Conf>
        <win1Conf> 9000 </win1Conf>
        <win2Conf> 9500 </win2Conf>
        <win3Conf> 9500 </win3Conf>
        <win4Conf> 9500 </win4Conf>
        <win5Conf> 9500 </win5Conf>
        <win6Conf> 10000 </win6Conf>
        <win7Conf> 10000 </win7Conf>
        <highConf> 30000 </highConf>
        <fixConfValidThre> 6000 </fixConfValidThre>
        <fixSceneCheckValidThre> 3000 </fixSceneCheckValidThre>
    </dualPDFaceConfThres>
    <afMaxPosRange> 400 </afMaxPosRange>
    <infPosBoundary> 385 </infPosBoundary>
    <macroPosBoundary> 0 </macroPosBoundary>
    <faceStatus>
        <faceSizeChangeThre type='float'> 0.1 </faceSizeChangeThre>
        <faceLocChangeThre type='float'> 0.015 </faceLocChangeThre>
        <stableCntThre> 10 </stableCntThre>
        <changingCntThre> 2 </changingCntThre>
    </faceStatus>
    <faceFarEndParam>
        <enableFaceFarend> 1 </enableFaceFarend>
        <refPDFaceFarEnd> 365 </refPDFaceFarEnd>
        <refTempDegree> 34 </refTempDegree>
        <tempShiftFactor type ='float'> 1.72 </tempShiftFactor>
    </faceFarEndParam>
    <tripodThres>
        <contripodThre> 600 </contripodThre>
        <contQuitTripodThre> 2 </contQuitTripodThre>
    </tripodThres>
    <winConfigParam>
        <videoFaceSmallRectThre> 4 </videoFaceSmallRectThre>
        <videoFaceWinShiftNormal> 3 </videoFaceWinShiftNormal>
        <videoFaceWinShiftSmall> 4 </videoFaceWinShiftSmall>
        <videoEntSmallFaceThre> 235 </videoEntSmallFaceThre>
        <videoExtSmallFaceThre> 240 </videoExtSmallFaceThre>
        <pdAlgoSideFaceThre type='float'> 1.34 </pdAlgoSideFaceThre>
        <smallFaceEnlargeScale type='float'> 1.2 </smallFaceEnlargeScale>
        <normalFaceEnlargeScale type='float'> 1.4 </normalFaceEnlargeScale>
        <backLightFaceEnlargeScale type='float'> 0.9 </backLightFaceEnlargeScale>
        <faceMinIOThre type='float'> 0.0 </faceMinIOThre>
        <fixPDTgtClsRangePosThre> 310 </fixPDTgtClsRangePosThre>
        <multiDepFixScoEnhanceScal type='float'> 2.0 </multiDepFixScoEnhanceScal>
        <multiDepFixScoEnhanceScalBase type='float'> 1.0 </multiDepFixScoEnhanceScalBase>
        <multiDepFixScoEnhanceScalUpper> 110 </multiDepFixScoEnhanceScalUpper>
        <multiFixSuggestionConfThre> 7300 </multiFixSuggestionConfThre>
        <fixedCheckMultiDepthSize type='float'>0.1666 </fixedCheckMultiDepthSize>
        <fixedExtMultiDepthThre> 20 </fixedExtMultiDepthThre>
        <afFlatScale type='float'> 0.13 </afFlatScale>
        <afFlexStdHighThre> 60 </afFlexStdHighThre>
        <afFlexDefHighThre> 200 </afFlexDefHighThre>
        <pdFailSceneMaxSuppressCnt> 6 </pdFailSceneMaxSuppressCnt>
        <fixedSceneSmoothCnt> 20 </fixedSceneSmoothCnt>
        <fixedFlexSmoothCheckoutCnt> 20 </fixedFlexSmoothCheckoutCnt>
        <afMaxMultiplier type='float'> 1.58 </afMaxMultiplier>
        <afMinMultiplier type='float'> 0.5 </afMinMultiplier>
        <afMainHalfDofPos> 4 </afMainHalfDofPos>
        <afPosHuntingThre> 18 </afPosHuntingThre>
        <afConfHuntingThre> 8000 </afConfHuntingThre>
        <afHuntingScenePDConfMulti type='float'> 2.3 </afHuntingScenePDConfMulti>
        <afScoreSelSmoothFactor type='float'> 3.0 </afScoreSelSmoothFactor>
        <afScoreSelFaceFlexFactor type='float'> 1.0 </afScoreSelFaceFlexFactor>
        <afPDContinueLowConfCnt> 2 </afPDContinueLowConfCnt>
        <afPosScoreBase type='float'> 0.0 </afPosScoreBase>
        <afSizeScoreBase type='float'> 0.3 </afSizeScoreBase>
        <afLowTextureWinNumRatio type='float'> 0.45 </afLowTextureWinNumRatio>
        <afPDVarianceCoeff> 5 </afPDVarianceCoeff>
        <afVideoNormalMaxMinCoeff> 3 </afVideoNormalMaxMinCoeff>
        <afVideoMacroPDConvergeThre> 8 </afVideoMacroPDConvergeThre>
        <afVideoMaxMinDualPDDiffThre> 18 </afVideoMaxMinDualPDDiffThre>
        <smallFaceThre> 150 </smallFaceThre>
        <fixedCheckSceneMinValidRatio type='float'> 0.23 </fixedCheckSceneMinValidRatio>
        <flexCheckSceneMinValidRatio type='float'> 0.75 </flexCheckSceneMinValidRatio>
    </winConfigParam>
    <PDConfigParam>
        <checkSceneStateSmoothCnt> 5 </checkSceneStateSmoothCnt>
        <lowLightThresLow> 25 </lowLightThresLow>
        <lowLightThresHigh> 30 </lowLightThresHigh>
        <normalLightThre> 89 </normalLightThre>
        <hdrAdrcgainThreLow type='float'> 4.8 </hdrAdrcgainThreLow>
        <hdrAdrcgainThreHigh type='float'> 5 </hdrAdrcgainThreHigh>
        <aecTwoExpoThre type='float'> 6.0 </aecTwoExpoThre>
        <distCloseThreLow type='float'> 700 </distCloseThreLow>
        <distCloseThreHigh type='float'> 1000 </distCloseThreHigh>
        <invalidTOFDis type='float'> -1.0 </invalidTOFDis>
        <branchChangeSmoothCnt type='float'> 0 </branchChangeSmoothCnt>
        <branchChangeSmoothFactor type='float'> 0 </branchChangeSmoothFactor>
    </PDConfigParam>
    <afTOFBufferCnt> 6 </afTOFBufferCnt>
</PDAlgoDataTuning>
